%define oname   kgio

Name:       ruby-%{oname}
Version:    2.7.4
Release:    %mkrel 10
Summary:    Kinder, gentler I/O for Ruby
License:    Ruby or GPLv2
Group:      Development/Ruby
URL:        http://bogomips.org/kgio/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: ruby-devel
BuildRequires: rubygems
BuildRequires: rubygem(wrongdoc)
BuildRequires: rubygem(tidy_ffi)

%description
kgio provides non-blocking I/O methods for Ruby without raising
exceptions on EAGAIN and EINPROGRESS.  It is intended for use with the
Unicorn and Rainbows! Rack servers, but may be used by other
applications.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc LICENSE README TODO NEWS LATEST ChangeLog ISSUES HACKING
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
export VERSION=%{version}
%gem_build

%install
export VERSION=%{version}
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 2.7.4-10.mga4
+ Revision: 562734
- Fix gem macros

* Sat Dec 21 2013 pterjan <pterjan> 2.7.4-9.mga4
+ Revision: 559598
- Fix forgotten buildroot

* Sat Dec 21 2013 pterjan <pterjan> 2.7.4-8.mga4
+ Revision: 559590
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 2.7.4-7.mga4
+ Revision: 538653
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.7.4-6.mga4
+ Revision: 482145
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 2.7.4-5.mga4
+ Revision: 479991
- BuildRequires tidy_ffi
- Fix file list
- Use gem_setup
- BuildRequires wrongdoc

* Fri Feb 08 2013 umeabot <umeabot> 2.7.4-4.mga3
+ Revision: 396120
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.7.4-3.mga3
+ Revision: 381085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.7.4-2.mga3
+ Revision: 313102
- doc is a noarch package

* Sat Nov 03 2012 fwang <fwang> 2.7.4-1.mga3
+ Revision: 313096
- new version 2.7.4

* Wed Apr 06 2011 shikamaru <shikamaru> 2.3.3-1.mga1
+ Revision: 81540
- disable test for now due to weird error on the BS
- imported package ruby-kgio


* Thu Mar 31 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.3.3-1
- Initial package
